Computree version 6 is currently in EARLY ACCESS

This means that the software and its documentation (on this site and in the software) are not finalised, but a partial version is available for discovery.

The full version of Computree v6 and its documentation is scheduled to be released in January 2023.

For details on the progress of the work, see this page.

Computree version 5 remains available here

Download Computree

To install Computree, you can use either the installer or the portable version.

With the installer : Download the executable, follow the on-screen instructions, and select the items you need. The installer can run without being an admin.

With the portable version : download the ZIP, unzip it where you want to install Computree, then you have all the necessary elements distributed with Computree (dependencies and plugins).

Warning: on Windows you must run the Computree.cmd script and not the Computree.exe executable. On Linux and Mac OS you just have to launch the application.

On Windows Computree requires MSVC 2019 redistributable. This component is often already installed on windows, many software depending on it. But in case of error at the launch of Computree about missing libraries, it is necessary to check that this library is present or install it. The Computree installer supports this aspect. For the portable version the installation must be done separately.

To download an older version of Computree, go here.

Minimum and recommended requirements

Hardware requirements

ComponentMinimum configurationRecommended configuration
CPU2 cores (x86-64bit) @ 3GHz4 cores (x86-64bit) @ 3GHz
RAM4 Go8 Go
GPUIntegrated or dedicated, compatible with OpenGL [ES] 3.0 (≥ 2012)Dedicated, compatible with OpenGL [ES] 3.0 with ≥2Go VRAM (≥ 2016)
HDD300 Mo free space (600 Mo for Mac OS)300 Mo free space (600 Mo for Mac OS)

Computree uses the hardware acceleration provided by graphics cards to display data seamlessly. Make sure you have up-to-date graphics drivers.

Software Configuration

Operating systemMinimum versionRecommended version
Microsoft Windows 7 (Service Pack 1)10 ou 11
Ubuntu16.04 LTS (Xenial Xerus)20.04 LTS (Focal Fossa)
Mac OS 10.12 (Sierra)10.15.7 (Catalina)